For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Resources
Get started
ReferenceGuidesChangelog
ReferenceGuidesChangelog
  • Token
    • GETGet Authorization User Info
    • GETGet Authorization Info
    • POSTResolve ID Token
  • Sites
    • GETList Sites
    • GETGet Site
    • GETGet Custom Domains
    • POSTPublish Site
  • Pages and Components
  • CMS
  • Forms
  • Custom Code
      • GETGet Custom Code
      • PUTAdd/Update Custom Code
      • DELDelete Custom Code
  • Assets
  • Comments
    • GETSearch Users by Email
    • GETList Comment Threads
    • GETGet Comment Thread
    • GETList Comment Replies
    • POSTCreate Comment Reply
  • Ecommerce
  • Webhooks
  • Site Configuration
  • Enterprise
  • App Subscriptions
    • GETGet app subscriptions
LogoLogo
Resources
Get started
Custom CodeCustom Code - Sites

Delete Custom Code

DELETE
https://api.webflow.com/beta/sites/:site_id/custom_code
DELETE
/beta/sites/:site_id/custom_code
$curl -X DELETE https://api.webflow.com/beta/sites/580e63e98c9a982ac9b8b741/custom_code \
> -H "Authorization: Bearer <token>"
Remove all scripts from a site applied by the App. This endpoint will not remove scripts from the site's registered scripts. To remove individual scripts applied by the App, use the [Add/Update Custom Code](/data/reference/custom-code/custom-code-sites/upsert-custom-code) endpoint. <Note>Access to this endpoint requires a bearer token obtained from an [OAuth Code Grant Flow](/data/reference/oauth-app).</Note> Required scope | `custom_code:write`
Was this page helpful?
Previous

Get Custom Code

Next
Built with

Remove all scripts from a site applied by the App. This endpoint will not remove scripts from the site’s registered scripts.

To remove individual scripts applied by the App, use the Add/Update Custom Code endpoint.

Access to this endpoint requires a bearer token obtained from an OAuth Code Grant Flow.

Required scope | custom_code:write

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

site_idstringRequiredformat: "objectid"
Unique identifier for a Site

Response

Request was successful. No Content is returned.

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error